import * as $dara from '@darabonba/typescript';
export declare class DeleteCustomizeReportRequest extends $dara.Model {
    /**
     * @remarks
     * The ID of the report.
     *
     * >  You can call the [DescribeCustomizeReportList](~~DescribeCustomizeReportList~~) operation to query the ID.
     *
     * This parameter is required.
     *
     * @example
     * 123
     */
    reportId?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
